Monthly Archives: May 2017

Prepar3D v4 and Flightbeam Airports

Installing Flightbeam Airports into P3D v4 will not cost you anything if you already own the product. The following airports will be P3D v4 compatible and no extra charge to install into P3D v4:

KSFO-HD
KDEN-HD
KIAD-HD
KPHX-HD

And of course, our upcoming product KMSP-HD will be P3D v4 compatible, it was specifically tailored for v4. Visit our forums for more information!